import type { ExtractPropTypes } from 'vue';
import type { ExperimentalFeatures } from 'element-ps/es/tokens';
import type { Language } from 'element-ps/es/locale';
import type { ButtonConfigContext } from 'element-ps/es/components/button';
export declare const configProviderProps: {
    readonly a11y: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly locale: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<Language>, unknown, unknown, unknown, unknown>;
    readonly size: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "", unknown, "" | "default" | "small" | "large", unknown>;
    readonly button: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ButtonConfigContext>, unknown, unknown, unknown, unknown>;
    readonly experimentalFeatures: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ExperimentalFeatures>, unknown, unknown, unknown, unknown>;
    readonly keyboardNavigation: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly zIndex: import("element-ps/es/utils").BuildPropReturn<NumberConstructor, unknown, unknown, unknown, unknown>;
    readonly namespace: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "el", unknown, unknown, unknown>;
};
declare const _default: import("vue").DefineComponent<{
    readonly a11y: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly locale: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<Language>, unknown, unknown, unknown, unknown>;
    readonly size: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "", unknown, "" | "default" | "small" | "large", unknown>;
    readonly button: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ButtonConfigContext>, unknown, unknown, unknown, unknown>;
    readonly experimentalFeatures: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ExperimentalFeatures>, unknown, unknown, unknown, unknown>;
    readonly keyboardNavigation: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly zIndex: import("element-ps/es/utils").BuildPropReturn<NumberConstructor, unknown, unknown, unknown, unknown>;
    readonly namespace: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "el", unknown, unknown, unknown>;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly a11y: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly locale: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<Language>, unknown, unknown, unknown, unknown>;
    readonly size: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "", unknown, "" | "default" | "small" | "large", unknown>;
    readonly button: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ButtonConfigContext>, unknown, unknown, unknown, unknown>;
    readonly experimentalFeatures: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ExperimentalFeatures>, unknown, unknown, unknown, unknown>;
    readonly keyboardNavigation: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly zIndex: import("element-ps/es/utils").BuildPropReturn<NumberConstructor, unknown, unknown, unknown, unknown>;
    readonly namespace: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "el", unknown, unknown, unknown>;
}>>, {
    button: ButtonConfigContext;
    size: import("element-ps/es/utils").BuildPropType<StringConstructor, "" | "default" | "small" | "large", unknown>;
    a11y: import("element-ps/es/utils").BuildPropType<BooleanConstructor, unknown, unknown>;
    locale: Language;
    experimentalFeatures: ExperimentalFeatures;
    keyboardNavigation: import("element-ps/es/utils").BuildPropType<BooleanConstructor, unknown, unknown>;
    zIndex: number;
    namespace: string;
}>;
export default _default;
export declare type ConfigProviderProps = ExtractPropTypes<typeof configProviderProps>;
